Name: jahshaka
Summary: OpenSource Realtime Editing and Effects System
Version: 2.0.0
Release: alt1
License: GPL
Group: Video
URL: http://www.jahshaka.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.gz

Source10: jahshaka-icons.tar.bz2
Source11: jahshaka.desktop
Source12: jahdesktop.db

Patch0: jahshaka-2.0-alt-include.patch
Patch1: jahshaka-2.0.0-alt-link.patch

Patch11: jahshaka-2.0-openassetlib-link.patch
Patch12: jahshaka-plugins-gcc41warnings.patch
Patch14: jahshaka-2.0-rc4-size_t.patch

BuildRequires: boost-filesystem-devel boost-regex boost-thread-devel esound gcc-c++
BuildRequires: libSDL-devel libXi-devel libXmu-devel libglew-devel libjpeg-devel
BuildRequires: libmlt++-devel libmlt-devel libopenal-devel libopenlibraries-devel
BuildRequires: libqt3-devel libsqlite3-devel openexr-devel libmiracle-devel

%description
The worlds first OpenSource Realtime Editing and Effects System. Jahshaka
takes advantage of the power of OpenGL and OpenML to give its users
exceptional levels of performance.

%package -n lib%name
Summary: Main libraries for jahshaka
Group: System/Libraries

%description -n lib%name
This package contains the libraries needed to run jahshaka.

%set_verify_elf_method unresolved=relaxed

%prep
%setup -q -n %name

%patch0 -p1
%patch1 -p1

%patch11 -p1
%patch12 -p1
%patch14 -p1

%build
export PATH=%_libdir/qt3/bin:$PATH
%configure \
	--disable-debug

pushd source/OpenLibraries/openmedialib/mediaobject
	qmake mediaobject.pro
	%make_build
popd

%make_build || %make_build
%configure \
	--prefix=%buildroot%_prefix \
	--disable-debug

%install
export PATH=%_libdir/qt3/bin:$PATH
%make DESTDIR=%buildroot install

cd %buildroot%_prefix
%ifarch x86_64
	%__mv lib lib64
%endif
for f in $(find share -name \*.so); do
	%__mkdir_p $(dirname $f | sed "s,^share,%_lib,")
	%__mv $f ${f/share\//%_lib\/}
	%__ln_s ../../../../${f/share\//%_lib\/} $f
done

%__mkdir_p %buildroot%_iconsdir
%__tar -xjf %SOURCE10 -C %buildroot%_iconsdir
%__install -Dp -m644 %SOURCE11 %buildroot%_desktopdir/%name.desktop
%__install -m644 %SOURCE12 %buildroot%_datadir/jahshaka/database/

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%doc AUTHORS README TODO release_notes.htm
%_bindir/*
%attr(0755,root,root) %_libdir/%name
%_datadir/%name
%exclude %_datadir/%name/fonts/*.ttf
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/*/*.png

%files -n lib%name
%_libdir/lib*.so.*

%changelog
* Wed May 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1
- initial build
